/**
 *
 */
package de.rico.editor.datamodel;

/**
 * Data model class of a character for use with the editor.
 * @author Frank Bruns
 */
public class ItemData extends AbstractEntityData
{
	private boolean canBePickedUp = true;
	private String inventoryImgPath = null;

	public ItemData(MeshData mesh, String name, String scriptId, String inventImg)
	{
		super(mesh,name,scriptId);
		this.inventoryImgPath = inventImg;
	}

	/**
	 * Determines whethter or not the item can be picked up by a
	 * character.
	 * @return can be picked up? --> true=yes, false=no
	 */
	public boolean canBePickedUp()
	{
		return this.canBePickedUp;
	}

	/**
	 * Returns the path to the inventory image file.
	 * @return path to inventory image file
	 */
	public String getInventoryImgPath()
	{
		return this.inventoryImgPath;
	}
}
